Package ghidra.app.nav

# Class NextRangeAction

java.lang.Object
docking.action.DockingAction
ghidra.app.context.NavigatableContextAction
ghidra.app.nav.NextRangeAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public abstract class NextRangeAction extends NavigatableContextAction

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NextRangeAction(PluginTool tool, String name, String owner, ghidra.app.plugin.core.navigation.NavigationOptions navOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(NavigatableActionContext context)`
  `protected abstract ProgramSelection`
  `getSelection(ProgramLocationActionContext context)`
  `boolean`
  `isEnabledForContext(NavigatableActionContext context)`

  ### Methods inherited from class ghidra.app.context.NavigatableContextAction

  `actionPerformed, isAddToPopup, isAddToPopup, isEnabledForContext, isValidContext`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### NextRangeAction

    public NextRangeAction(PluginTool tool, String name, String owner, ghidra.app.plugin.core.navigation.NavigationOptions navOptions)

- ## Method Details

  - ### isEnabledForContext

    public boolean isEnabledForContext(NavigatableActionContext context)
    Overrides:
      `isEnabledForContext` in class `NavigatableContextAction`

  - ### actionPerformed

    public void actionPerformed(NavigatableActionContext context)
    Specified by:
      `actionPerformed` in class `NavigatableContextAction`

  - ### getSelection

    protected abstract ProgramSelection getSelection(ProgramLocationActionContext context)